Bug 1223208 - [origin_devexp_453]Can't create OpenShift resources from dockerbuild or custombuild template in jbt
Summary: [origin_devexp_453]Can't create OpenShift resources from dockerbuild or custo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Build
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Cantrill
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-20 06:14 UTC by DeShuai Ma
Modified: 2015-07-07 23:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Annotation filter only displayed templates that were annotated with 'tags' even when there was no filter applied Consequence: Fix: Show all templates initially Result:
Clone Of:
Environment:
Last Closed: 2015-07-07 23:47:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description DeShuai Ma 2015-05-20 06:14:44 UTC
Description of problem:
We can create OpenShift resources from stibuild template, but we can't create resources from dockerbuild or custombuild template in jbt.

Version-Release number of selected component (if applicable):
openshift v0.5.1-230-g8bbf71f
kubernetes v0.17.0-441-g6b6b47a
jboss openshift-v3 version: 3.0.0.Beta1-v20150518-1846-B794

How reproducible:
Always

Steps to Reproduce:
1.Create a project in OpenShift
$ osadm new-project test --admin=test

2.Create stibuild,dockerbuild,custombuild template under the namespace
$ osc create -f application-template-stibuild.json -n test
$ osc create -f application-template-dockerbuild.json -n test
$ osc create -f application-template-custombuild.json -n test

3.Check all the template create successfully
$ osc get template -n test
NAME                       DESCRIPTION                                                                        PARAMETERS        OBJECTS
ruby-helloworld-sample-1   This example shows how to create a simple ruby application in openshift origi...   5 (4 generated)   8
ruby-helloworld-sample-2   This example shows how to create a simple ruby application in openshift origi...   5 (4 generated)   8
ruby-helloworld-sample-3   This example shows how to create a simple ruby application in openshift origi...   5 (4 generated)   8

4.Login  the server in jbt.
5.Create resouces from template in jbt
1) In "OpenShift Explorer" right click the project
2) "New"->"Application" open new application dialog
3) Check all the templates can be list in new application dialog

Actual results:
5.3 In the dialog we can only list stibuild-template.

Expected results:
5.3 Should list all the templates in new application dialog

Additional info:
When we create two stibuild-template, they can all be listed in new application dialog.



Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jeff Cantrill 2015-05-20 15:19:03 UTC
fixed in https://issues.jboss.org/browse/JBIDE-19832

Comment 2 DeShuai Ma 2015-05-22 05:23:28 UTC
Test on devenv-fedora_1590, This bug is fixed.
openshift v0.5.2-59-g37eba76
kubernetes v0.17.0-441-g6b6b47a
jboss openshift-v3 version:3.0.0.Beta1-v20150520-2023-B797


Note You need to log in before you can comment on or make changes to this bug.